Subject: bug#37217: [PATCH] vc-default-ignore implementation is incorrect

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 Sep 2019 15:06:04 +0200

Wolfgang Scherer <[email-masked]> writes:

> Only the basename of FILE is written to the ignore file. This is
> wrong for all filenames relative to project root with one ore
> more parent directories.
>
> The remove option is also implemented incorrectly.

[...]

> A unit test showed, that the removal regexp was faulty. New version of
> patch attached.

Thanks; I've only lightly tested this, but if I read the code correctly,
I think it makes sense, so I've now applied it to Emacs 27.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no